%global uname   vkBasalt

Name:           vkbasalt
Version:        0.3.2.8
Release:        %mkrel 1
Summary:        Vulkan post processing layer
Group:          System/Libraries
# The entire source code is zlib except:
# * ASL 2.0: include/vulkan/
License:        zlib and ASL 2.0
URL:            https://github.com/DadSchoorse/vkBasalt
Source0:        https://github.com/DadSchoorse/vkBasalt/archive/v%{version}/%{uname}-%{version}.tar.gz

BuildRequires:  glslang
BuildRequires:  meson
BuildRequires:  pkgconfig(x11)
BuildRequires:  spirv-headers
BuildRequires:  vulkan-headers

Recommends:     goverlay

Provides:       bundled(reshade)

%description
vkBasalt is a Vulkan post processing layer to enhance the visual graphics of
games.

Currently, the build in effects are:

- Contrast Adaptive Sharpening
- Denoised Luma Sharpening
- Fast Approximate Anti-Aliasing
- Enhanced Subpixel Morphological Anti-Aliasing
- 3D color LookUp Table

It is also possible to use Reshade Fx shaders.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%meson -Dappend_libdir_vkbasalt=true
%meson_build

%install
%meson_install

# Configuration file
install -D -m644 config/%{uname}.conf %{buildroot}%{_sysconfdir}/%{uname}.conf

%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/%{uname}.conf
%{_datadir}/vulkan/implicit_layer.d/%{uname}.json
%{_libdir}/%{name}/


%changelog
* Tue Jan 17 2023 akien <akien> 0.3.2.8-1.mga9
+ Revision: 1933954
- Version 0.3.2.8

* Thu Nov 03 2022 akien <akien> 0.3.2.6-1.mga9
+ Revision: 1901965
- Version 0.3.2.6

* Fri Mar 25 2022 akien <akien> 0.3.2.5-1.mga9
+ Revision: 1825831
- import vkbasalt 0.3.2.5, loosely derived from Fedora package

